#include <stdio.h>
#include <stdlib.h>

int main()
{
    int N, L, h, i;
    i = 0;
    scanf("%d %d", &N, &L);
    while(i < N)
    {
        scanf("%d", &h);
        if(L>=h)
        {
            i = i+1;
            printf("%d", i);
            return 0;
        }
        if(L<h)
        {
            i = i+1;
        }
        if(i==N)
        {
            i = i+1;
            break;
        }
    }
    if(i>N)
    {
        printf("-1");
    }
    return 0;
}